<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>组织</title>
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <link rel="stylesheet" href="../../lib/layui-v2.6.3/css/layui.css" media="all">
    <link rel="stylesheet" href="../../css/public.css" media="all">
    <style>
        body {
            background-color: #ffffff;
        }
    </style>
</head>
<body>

    <div class="layui-form layuimini-form">
        <input type="hidden" name="id" id="id">
        <div class="layui-form-item">
            <label class="layui-form-label required">企业名称</label>
            <div class="layui-input-block">
                <input type="text" name="name" id="name" lay-verify="required" lay-reqtext="不能为空" class="layui-input">
            </div>
        </div>
        <div class="layui-form-item">
            <label class="layui-form-label required">联系方式</label>
            <div class="layui-input-block">
                <input type="text" name="contact" id="contact" class="layui-input">
            </div>
        </div>

        <div class="layui-form-item">
            <div class="layui-input-block">
                <button class="layui-btn layui-btn-normal" lay-submit lay-filter="saveBtn">确认保存</button>
            </div>
        </div>
    </div>

    <script src="../../lib/layui-v2.6.3/layui.js" charset="utf-8"></script>
    <script>
        layui.use(['form'], function () {
            var form = layui.form,
                $ = layui.$;
            var iframeIndex = parent.layer.getFrameIndex(window.name);

            //监听提交
            form.on('submit(saveBtn)', function (data) {
                $.ajax({
                    type:"POST",
                    url:"/sys/tenant/update",
                    contentType: "application/json;charset=UTF-8",
                    data: JSON.stringify(data.field),
                    success: function (result) {
                        parent.onBaseParaUpdated();
                        parent.layer.close(iframeIndex);
                    },
                    error: function () {
                        console.log("ajax error");
                        parent.layer.close(iframeIndex);
                    }
                });
                return false;
            });

        });

        function setParams(data){
            var form = layui.form,
                $ = layui.$;
            $('#id').val(data.id);
            $('#name').val(data.name);
            $('#contact').val(data.contact);
            form.render();
        }
    </script>

</body>
</html>